[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.CMBiDiModeChanged

Handles the CM_BIDIMODECHANGED message.

## Declaration

Source position: extctrls.pp line 1622

`protected procedure TCustomControlBar.CMBiDiModeChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMBiDiModeChanged calls the inherited method on entry to notify child controls that the value in BidiMode has been changed. Each of the TCtrlBand instances on the control bar are updated so that the Left coordinate for the bands is correct for the Width of the control bar and the new value in BiDiMode. AutoSize is temporarily disabled while the bands are repositioned.

## See also

TCtrlBands |  | Container used to store TCtrlBand instances.
TCtrlBand.Left |  | Contains the Left position for the band.
TCtrlBand.Width |  | Contains the dimensions for the band.
TControl.Width |  | The horizontal size for the control.
TControl.DisableAutoSizing |  | Disables automatic sizing; implies that the default size is accepted, or sizing is done manually.
TControl.EnableAutoSizing |  | Enables automatic sizing for the control.
TWinControl.CMBiDiModeChanged |  | Handles a CM_BIDIMODECHANGED control message for the control.